#!/bin/sh

# resets the /var/log/asterisk/call_events database. i.e., deletes
# deletes all call and queue records by copying an empty database

DB_DIR="/var/log/asterisk"
ARCH_DIR="/usr/local/ipitomy/archive"
SCRIPT_DIR="/usr/local/ipitomy/scripts"

source ${SCRIPT_DIR}/installLib.sh
alias cp="ambiguous cp"
alias mv="ambiguous mv"

/sbin/service CELogd stop

# move the old database out of the way
mv_f ${DB_DIR}/call_events.db ${DB_DIR}/call_events.db.backup

# copy the clean one
cp_rf ${ARCH_DIR}/call_events.db ${DB_DIR}/call_events.db

/sbin/service CELogd start
